<template>
  <div class="row justify-center items-center fullscreen">
    <q-form @submit="onSubmit" class="form-login">
      <q-input
        rounded
        outlined
        v-model="username"
        label="Usuario"
        lazy-rules
        :rules="[ val => val && val.length > 0 || 'Ingrese un usuario']"
      >
        <template v-slot:prepend>
          <q-icon name="person" />
        </template>
      </q-input>

      <q-input
        rounded
        outlined
        type="password"
        v-model="password"
        label="Contraseña"
        lazy-rules
        :rules="[
          val => val !== null && val !== '' || 'Ingrese una contraseña'
        ]"
      >
        <template v-slot:prepend>
          <q-icon name="lock" />
        </template>
      </q-input>

      <div class="row justify-center">
        <q-btn to="/SignUp" label="Registrate aqui" outline color="green" />
      </div>

      <div class="row justify-center">
        <q-btn label="Ingresar" type="submit" color="primary" />
      </div>
    </q-form>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      username: null,
      password: null
    };
  },

  methods: {
    onSubmit() {
      axios
        .post("http://10.0.2.2:5000/api/login", {
          username: this.username,
          password: this.password
        })
        .then(() => {
          this.$store.commit("addLoggedUser", this.username);
          this.$store.commit("results", []);
          this.$router.push("/");
        })
        .catch(error => this.$q.notify("Usuario o contraseña invalida"));
    }
  }
};
</script>

<style scoped>
.form-login {
  width: 50%;
}

.form-login button {
  margin-top: 5%;
}
</style>